KGB-ADD-PROJECT(1p)

NAME
kgb-add-project - helper script for adding new projects to kgb-bot configuration file

SYNOPSIS
kgb-add-project [--file configfile] [--dir configdir] [--net|--networks ircnetwork] [--save|--write] project-id ircchannel password

DESCRIPTION
kgb-add-project allows one to add new projects to kgb-bot's configuration file from the command line. It writes the new config to stdout unless --save|--write is given.

ARGUMENTS

--file configfile
    Optional. Defaults to /etc/kgb-bot/kgb.conf.

--dir configdir
    Optional. Defaults to /etc/kgb-bot/kgb.conf.d/. Used for writing config snippets for projects with --save|--write.

--net|network ircnetwork
    Optional. Defaults to oftc. Needs to be in the networks section of the configuration file.

--save|--write
    Optional. Write new config back to file instead of stdout.

project-id
    project-id to be added.

irchannel
    IRC channel where the new project sends its messages. If the channel doesn't start with a character denoting IRC channel ("#&+"), then a hash sign is prepended.

password
    Password for the new project.

EXAMPLE
kgb-add-project my-project \#projectchannel RudFiarced0

CAVEATS

•   kgb-add-project sorts the top-level sections of the configuration file in a fixed order and re-orders the subsections alphabetically.

•   The output of kgb-add-project does not contain the comments that were present in the source configuration file.

SEE ALSO

App::KGB
kgb-bot(1)

COPYRIGHT AND LICENSE
Copyright (C) 2012 Damyan Ivanov

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.